Subject: Re: bug#76769: 31.0.50; marking inconsistency between VC-Dir and dired-vc-next-action

From: Sean Whitton <[email-masked]>
Date: Sun, 16 Mar 2025 11:39:19 +0800

Hello,

On Sat 15 Mar 2025 at 10:08pm +02, Dmitry Gutov wrote:

> The rest of the scenarios you described seem to make sense unconditionally,
> without extra prompt. Or might anyway.
> [...]
> Yeah, IME it might be an error because I would just be going through the items
> in VC-Dir, pressing 'm' to mark one after another - right now it ends at the
> first element after a dir, and it would start to work differently.

These are good points.  I now think perhaps only the more surprising
ones ought to be behind the defcustom, possibly only just this one.

> Anyway, I just wanted to voice a concern. Probably not a big deal, and
> it might help to test the changes in practice for a while.

Yes, there's a good chance we'll want to change which ones are behind
the defcustom after trying to use it for a while.

-- 
Sean Whitton